<?php
require('../fpdf181/fpdf.php');

class pdf extends FPDF
{
	public function header()
	{
	// Encabezado
	}

	public function MultiCellAll($yi,$xi,$ancho,$alto,$texto,$border,$alineacion,$relleno)
	{
	// Escribir varias columnas
	//MultiCell(ancho,alto,texto,border,alineacion,relleno)
		$x1 = 0;
		$y1 = $yi;
		$i  = 0;
		$maxSize = $yi;
		foreach ($texto as $posicion=>$columna)
		{
			$this->SetXY( $x1+$xi[$i], $y1);
			$this->MultiCell($ancho[$i], $alto[$i], $columna,$border[$i],$alineacion[$i],$relleno[$i]);
			$i += 1;
			if ( $maxSize < ($this->GetY()  ) )
				$maxSize = $this->GetY() ;
		}
		return ( $maxSize - $yi );
	}

	public function footer()
	{
		// pie de pagina
	}
}

function Ymd_dmY(string $fecha, string $separador = "/"):string
{
	$ano=substr($fecha,0,4);
	$mes=substr($fecha, 5,2);
	$dia=substr($fecha, 8,2);
	$_fecha=$dia.$separador.$mes.$separador.$ano; 
	return $_fecha;
}

function formatoFecha($fecha)
{
	//$date   = date_format($fecha, 'F, jS Y');
	$date   =	date('d/ m/ Y');
	return $date;
}


function SetCurrency(float $valor, string $signo = '$'):string
{
	return $signo.number_format($valor,2,'.','');
}

// Se define el tamaño de hoja y margenes
$fpdf = new pdf('l','mm','letter',true);
$fpdf->AddPage('portrait', 'letter');
$fpdf->SetMargins(10,30,20,20);

// Datos de cliente y factura
//obtenemos los datos de la cabecera de la venta actual
require_once "../modelos/Notacredito.php";
$notacredito	= new Notacredito();
$rsptav		    =$notacredito->notacreditocabecera($_GET["id"]);
//recorremos todos los valores que obtengamos
$regv		    =$rsptav->fetch_object();

$cliente    			=$regv->cliente;
$direccion				=$regv->direccion;
$telefono   			=$regv->telefono;
$rif        			=$regv->num_documento;
$licencia_licor		=$regv->licencia_licor;
$licencia_licord	=$regv->licencia_licord;
$tdoc							=$regv->tipo_documento;
$cliented   			=$regv->cliented;
$direcciond				=$regv->direcciond;
$telefonod  			=$regv->telefonod;
$rifd       			=$regv->num_documentod;
$tdocd						=$regv->tipo_documentod;
$vendedor					=$regv->vendedor;
/* $conductor		=$regv->nombretransporte;
$vehiculo		=$regv->vehiculo;
$placa			=$regv->placa; */
$tasa_dollar	=$regv->tasa_dollar;
$tasaventa      =$regv->tasaventa;
$cuidad     	="Caracas";
$longitud		=strlen($regv->num_notacredito);
$serie			='0000';
$prefac			= substr($serie, 1, 4-$longitud);
$nrofactura		='CE-'.$prefac.$regv->num_notacredito;
$Fecha 			=$regv->fecha;
$Fecha			=Ymd_dmY($Fecha);
$Fechaf 		=$regv->fechafactura;
$Fechaf			=Ymd_dmY($Fechaf);
$totacredito1    =$regv->total_credito;
$totacredito1d   =$regv->total_creditod;

if ($tdoc=="RIF"){
    $rif 	= "J-".$rif;
    $rift 	= "RIF";
}else{
    $rif 	= "CI-".$rif;
    $rift 	= "CÉDULA";
}
if ($tdocd=="RIF"){
	$rifd 	= "J-".$rifd;
	$riftd 	= "RIF";
}else{
	$rifd 	= "CI-".$rifd;
	$riftd 	= "CÉDULA";
}

//$fpdf	->Image('FacturaAlimentoDaniel1.jpg' , 17 ,8, 180 , 210,'JPG', '');
//Titulos del encabezado
$fpdf	->SetFillColor(255,255,255);
$fpdf	->SetTextColor(0,0,0); 
$fpdf	->SetLineWidth(0.3);
$fpdf	->SetDrawColor(0,0,0);

 /* $fpdf	->SetFillColor(0,0,0);
$fpdf	->SetTextColor(255,255,255);  */

//$y		=24;
$y      =44;
$x1		=112.7;
$x2		=40;
$fpdf	->SetXY($x2,$y);
$fpdf	->SetFont('Arial', 'B', 11);
$titulo = str_replace("NOTA DE CREDITO", "COMPROBANTE DE EGRESO", $regv->notacredito);
$fpdf	->Cell(120, 6, utf8_decode($titulo), '0', 0, 'L', 1);
$fpdf	->MultiCell(28, 6, $nrofactura, '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$fpdf	->SetXY($x1,$y);
$fpdf	->SetFont('Arial', '', 11);
$fpdf	->Cell(27, 6, 'FECHA:', '0', 0, 'L', 1);
$fpdf	->MultiCell(28, 6, $Fecha, '0', 'L', 1);
$y		=$fpdf->GetY()+4;


$yl		=$y;
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', 'B', 10);
$fpdf	->Cell(27, 6, 'CLIENTE', '0', 0, 'L', 1);
$fpdf	->SetXY($x1,$y);
$fpdf	->SetFont('Arial', 'B', 10);
$fpdf	->Cell(27, 6, 'DESPACHO', '0', 0, 'L', 1);
$yf		=$fpdf->GetY();

//cuadrado del encabezado
$y		=$fpdf->GetY()+6;
$fpdf	->Rect(20,$y-6,92.5,5);
$fpdf	->Rect(112.5,$y-6,84,5);
$yd1	=$y;
//Encabezado datos del cliente
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 8);
$fpdf	->Cell(20, 6, 'NOMBRE', '0', 0, 'L', 1);
$x		=42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 7);
$fpdf	->MultiCell(70, 4, utf8_decode($cliente), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 8);
$fpdf	->Cell(20, 6, utf8_decode('DIRECCIÓN'), '0', 0, 'L', 1);
$x		=42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 7);
$fpdf	->MultiCell(70, 4, strtolower(utf8_decode($direccion)), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 8);
$fpdf	->Cell(20, 6, utf8_decode($riftd), '0', 0, 'L', 1);
$x		=42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 7);
$fpdf	->MultiCell(70, 6, utf8_decode($rif), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 8);
$fpdf	->Cell(20, 6, utf8_decode('TELÉFONO'), '0', 0, 'L', 1);
$x		=42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 7);
$fpdf	->MultiCell(70, 6, utf8_decode($telefono), '0', 'L', 1);
$yd     = $fpdf->GetY();
$y		=$yd1;
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 8);
$fpdf	->Cell(20, 6, utf8_decode('NOMBRE'), '0', 0, 'L', 1);
$x		=$x1+21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 7);
$fpdf	->MultiCell(62, 4, utf8_decode($cliented), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 8);
$fpdf	->Cell(20, 6, utf8_decode('DIRECCIÓN'), '0', 0, 'L', 1);
$x		=$x1+21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 6.5);
$fpdf	->MultiCell(62, 4, strtolower(utf8_decode($direcciond)), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 8);
$fpdf	->Cell(20, 6, utf8_decode($riftd), '0', 0, 'L', 1);
$x		=$x1+21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 7);
$fpdf	->MultiCell(62, 6, utf8_decode($rifd), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 8);
$fpdf	->Cell(20, 6, utf8_decode('TELÉFONO'), '0', 0, 'L', 1);
$x		=$x1+21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 7);
$fpdf	->MultiCell(62, 6, utf8_decode($telefonod), '0', 'L', 1);

$yi     = $fpdf->GetY();

/* 
y		=$fpdf->GetY()+1;
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 8);
$fpdf	->Cell(20, 6, utf8_decode('FECHA'), '0', 0, 'L', 1);
$x		=$x1+21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 7);
$fpdf	->MultiCell(50, 6, utf8_decode($Fecha), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 8);
$fpdf	->Cell(20, 6, utf8_decode('VENDEDOR'), '0', 0, 'L', 1);
$x		=$x1+21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', '', 7);
$fpdf	->MultiCell(50, 6, utf8_decode($vendedor), '0', 'L', 1);
*/



if ($yi>$yd){
    $yd=$yi;
}
//Cuadrado del encabezado del cliente
//$fpdf	->Rect(20,$y-6,92.5,5);
//$fpdf	->Rect(112.5,$y-6,84,5);
$fpdf	->Rect(20,$yf,92.5,($yd-$yf)+1);
$fpdf	->Rect(112.5,$yf,84,($yd-$yf)+1);


 /* $fpdf	->SetFillColor(0,0,0);
$fpdf	->SetTextColor(255,255,255); */    

// Encabezdo del detalle
//Fijamos el eje de y en 70
//$y		=70+12;
$y		=88+12;

$yf     =$y;
$x		=20.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Arial', 'B', 8);
$fpdf	->Cell(20, 6, utf8_decode('CANTIDAD'), '0', 0, 'C', 1);
$fpdf	->SetXY($x+21,$y);
$fpdf	->Cell(75, 6, utf8_decode('DESCRIPCIÓN'), '0', 0, 'C', 1);
$fpdf	->SetXY($x+97,$y);
$fpdf	->Cell(35, 6, utf8_decode('MONTO $'), '0', 0, 'C', 1);
$fpdf	->SetXY($x+133,$y);
$fpdf	->Cell(42, 6, utf8_decode('MONTO Bs.'), '0', 0, 'C', 1);
$y		=$fpdf->GetY();

//Cuadro del encabezado
$fpdf	->Rect(20,$yf,21,($y-$yf)+5);
$fpdf	->Rect(20+21,$yf,76,($y-$yf)+5);
$fpdf	->Rect(20+97,$yf,36,($y-$yf)+5);
$fpdf	->Rect(20+133,$yf,43.5,($y-$yf)+5);

//Cuadro del detalle
$yd1     =5;
$alto    =60;
$fpdf	->Rect(20,$yf+$yd1,21,$alto);
$fpdf	->Rect(20+21,$yf+$yd1,76,$alto);
$fpdf	->Rect(20+97,$yf+$yd1,36,$alto);
$fpdf	->Rect(20+133,$yf+$yd1,43.5,$alto);


// Detalle de la factura
//Buscamos los detalles de la factura

if ($regv->notacredito=='NOTA DE CREDITO POR DEVOLUCION') {
	$rsptad=$notacredito->notacreditodetallesdevolucion($_GET["id"]);
} else {
	$rsptad=$notacredito->notacreditodetallesimporte($_GET["id"]);
}




// 
//articulo, codigo, cajas, unidades, precio_venta, descuento, subtotal, idcategoriadeunidades, 
//nombre, idunidademedidad, nombre, unidadesxcajas
$fpdf	->SetY($y+6);
$fpdf	->SetFont('Arial', '', 7);
/* $fpdf	->SetFillColor(255,255,255);
$fpdf	->SetLineWidth(0.5);
$fpdf	->SetDrawColor(90,90,90);
$fpdf	->SetTextColor(0,0,0); */

$subtotal	=0;
$subtotald	=0;
$total		=0;
$totald		=0;
$iva		=0;
$ivapvp		=0;
$exento		=0;
$exentod		=0;
$totaldollar=0;
$imp 		= 1+(16/100);
$totalG		=0;
$totalGpvp	=0;
$totalapagar=0;
$totalapagard=0;
$totalpvp	=0;
$subtotalpvp=0;
$totalart16	=0;
$y			=$fpdf->GetY();
$x		    =20.5;
$totalp		=	0;
$totalpd    =	0;
$factura    ='';
while($regd=$rsptad->fetch_object()){
    
    if ($regv->notacredito=='NOTA DE CREDITO POR DEVOLUCION') {
    	$precio 		=	$regd->precio_venta;
    	$preciod 		=	$regd->precio_ventad;
    	$subtotal		=	$precio;
        $subtotald	    =	$preciod;
    	//if ($observacion1<>'') {
    		$subtotal	=	$precio*$regd->cajas;
      	    $subtotald	=	$preciod*$regd->cajas;
    	//}
    	$ivad = 0;
    	$iva  = 0;
    	if($regd->iva=='si'){
    	    $ivad           =   $subtotald*0.16;
    	    $iva            =   $ivad*$tasaventa;
    	}
    	
    	$total		    =	$total+$subtotal;
    	$totald		    =	$totald+$subtotald;
    	$totalp		    =	$total;
    	$totalpd		=	$totald;
    }else{
	    $ivad           =   $regd->ivad;
    	$iva            =   $ivad*$tasaventa;
    	$precio 	    =	$regd->precio_venta -$iva ;
    	$preciod 	    =	$regd->precio_ventad - $ivad;
    	$totacredito    =   $regd->subtotal*$tasaventa;
        $totacreditod   =   $regd->subtotal;
        $subtotal	    =	$totacreditod*$tasaventa;
    	$subtotald	    =	$totacreditod;
    	$exentod 	    = 	0;
    	$exento 	    = 	0;
    	$totalp		    =	$totalp+$precio;
    	$totalpd		=	$totalpd+$preciod;
    	
    	$total		    =	$total+$subtotal;
    	$totald		    =	$totald+$subtotald;
    	
    	
    	
    
    }    
	$factura = $regd->factura;
	
	//$subtotalpvp=	($regd->cajas*$regd->preciopvp)-$subtotal;
	//$totalpvp	= 	$totalpvp+$subtotalpvp;
	//$totalart16	=	$totalart16+$regd->impuestoart16;
	/* if ($regd->exento=='si'){
		$exento 	= 	$exento+$subtotal;
	}else{
		$iva		=	$iva+($subtotal*0.16);
		$ivapvp		=	$ivapvp+($subtotalpvp*0.16);
		$totalG		= 	$totalG + $subtotal;
		$totalGpvp	= 	$totalGpvp + $subtotalpvp;
	} */
	$desc	= ' UxCaja: '.number_format($regd->unidadesxcaja, 0, ',', '.').' DE '.utf8_decode($regd->capacidad).', GRADO DE ALCOHOL: '.utf8_decode($regd->gradoalcohol);
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', 'B', 8);
	$fpdf	->Cell(20, 6, number_format($regd->cajas, 2, ',', '.'), '0', 0, 'C', 1);
	$fpdf	->SetXY($x+21,$y);
	$desc   = str_replace("NOTA DE CREDITO", "COMPROBANTE DE EGRESO", $regd->articulo);
	$fpdf	->MultiCell(75, 4, utf8_decode($desc.' '.$regd->factura), '0', 'L', 1);
	$y1		=$fpdf->GetY();
	if ($regv->notacredito=='NOTA DE CREDITO POR DEVOLUCION') {
    	$fpdf	->SetXY($x+97,$y);
    	$fpdf	->Cell(35, 6, number_format($subtotald, 2, ',', '.'), '0', 0, 'R', 1);
    	$fpdf	->SetXY($x+133,$y);
    	$fpdf	->Cell(42, 6,  number_format($subtotal, 2, ',', '.'), '0', 0, 'R', 1);
	}else{
    	$fpdf	->SetXY($x+97,$y);
    	$fpdf	->Cell(35, 6, number_format($preciod, 2, ',', '.'), '0', 0, 'R', 1);
    	$fpdf	->SetXY($x+133,$y);
    	$fpdf	->Cell(42, 6,  number_format($precio, 2, ',', '.'), '0', 0, 'R', 1);
	}
	
	$y		=$fpdf->GetY();
	if ($y1>$y){
		$y = $y1 +3;
	}else{
		$y = $y +3;
	}
    //$y		=$fpdf->GetY()+5;

}

if ($regv->notacredito=='NOTA DE CREDITO POR DEVOLUCION') {
    $totalapagar	=	$total + $iva;
    $totalapagard	=	$totald+$ivad;
}else{
    $totalapagar	=	$total;
    $totalapagard	=	$totald;
}

//Sub-total, impuesto y total ****************
//Sub-total

//$fpdf	->SetFillColor(0,0,0);
//$fpdf	->SetTextColor(255,255,255); 

$x1			=46;
//$y1			=89;
$y1			=108;
$xd     =72;
$xd1    =107;
$fpdf		->SetFont('Arial', '', 9);
$y			=$y1+$alto;
$x			=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(70, 6, 'Sub-Total:', '', 0, 'R', 1);
$fpdf	->SetXY($x+$xd,$y);
$fpdf	->Cell(34.5, 6, number_format($totalpd, 2, ',', '.'), '', 0, 'R', 1);
$fpdf	->SetXY($x+$xd1,$y);
$fpdf	->Cell(43.5, 6, number_format($totalp, 2, ',', '.'), '', 0, 'R', 1);
//iva
$y		=$fpdf->GetY()+7;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(70, 6, 'IVA 16% :', '', 0, 'R', 1);
$fpdf	->SetXY($x+$xd,$y);
$fpdf	->Cell(34.5, 6, number_format($ivad, 2, ',', '.'), '', 0, 'R', 1); 
$fpdf	->SetXY($x+$xd1,$y);
$fpdf	->Cell(43.5, 6, number_format($iva, 2, ',', '.'), '', 0, 'R', 1);
//Exento
$y		=$fpdf->GetY()+7;
$fpdf	->SetXY($x,$y-1);
$fpdf	->Cell(70, 6, utf8_decode('Total Monto Exento(E):'), '', 0, 'R', 1);
$fpdf	->SetXY($x+$xd,$y-1);
$fpdf	->Cell(34.5, 6, number_format($exentod, 2, ',', '.'), '', 0, 'R', 1);
$fpdf	->SetXY($x+$xd1,$y-1);
$fpdf	->Cell(43.5, 6, number_format($exento, 2, ',', '.'), '', 0, 'R', 1);
//Total
$y		=$fpdf->GetY()+7;
$fpdf	->SetFont('Arial', 'B', 9);
$fpdf	->SetXY($x,$y-1);
$fpdf	->Cell(70, 6, utf8_decode('Total Nota de Crédito:'), '', 0, 'R', 1);

if ($regv->notacredito=='NOTA DE CREDITO POR DEVOLUCION') {
    $fpdf	->SetXY($x+$xd,$y-1);
    $fpdf	->Cell(34.5, 6, number_format($totalapagard, 2, ',', '.'), '', 0, 'R', 1);
    $fpdf	->SetXY($x+$xd1,$y-1);
    $fpdf	->Cell(43.5, 6, number_format($totalapagar, 2, ',', '.'), '', 0, 'R', 1);

}else{
    $fpdf	->SetXY($x+$xd,$y-1);
    $fpdf	->Cell(34.5, 6, number_format($totacredito1d, 2, ',', '.'), '', 0, 'R', 1);
    $fpdf	->SetXY($x+$xd1,$y-1);
    //$fpdf	->Cell(43.5, 6, number_format($total+$iva, 2, ',', '.'), '', 0, 'R', 1);
    $fpdf	->Cell(43.5, 6, number_format($totacredito1d*$tasaventa, 2, ',', '.'), '', 0, 'R', 1);
}

//Cuadros
 $y		=$y1+$alto-1;
$x		=$x1;
$fpdf	->Rect($x,$y,71,6.5);
$fpdf	->Rect($x+71,$y,36,6.5);
$fpdf	->Rect($x+107,$y,43.5,6.5);
$y		=$y+6.5;
$fpdf	->Rect($x,$y,71,6.5);
$fpdf	->Rect($x+71,$y,36,6.5);
$fpdf	->Rect($x+107,$y,43.5,6.5);
$y		=$y+6.5;
$fpdf	->Rect($x,$y,71,6.5);
$fpdf	->Rect($x+71,$y,36,6.5);
$fpdf	->Rect($x+107,$y,43.5,6.5);
 $y		=$y+6.5;
$fpdf	->Rect($x,$y,71,6.5);
$fpdf	->Rect($x+71,$y,36,6.5); 
$fpdf	->Rect($x+107,$y,43.5,6.5); /**/

/* Tasa de factura */
$y		=$y+8;
$x		=100;
$fpdf	->SetFont('Arial', 'B', 7);
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(50, 6, utf8_decode('TASA DE CAMBIO: '.$tasaventa. ' FECHA: '.$Fechaf), '', 0, 'C', 1);

/* 
$rsptat				=	$ventan->ventatasacambio();;
$regt				=	$rsptat->fetch_object();
$tasacambio			= 	$tasa_dollar;
$totaldollar		= 	$total/$tasacambio;
$ivadollar			= 	$iva/$tasacambio;
$ivapvpdollar		= 	$ivapvp/$tasacambio;
$totalapagardollar	=	$totalapagar/$tasacambio;

//totales en dollar
$fpdf		->SetFont('Arial', '', 8);
$x1			=12;
$a0			=7;
$a1			=39;
$a2			=40;
$a3			=110;
$y1			=80+$alto-1;
// Tasa Cambio
$y		    =$y1;
$x			=$x1+$a0;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(32, 5, 'Tasa de Cambio', '', 0, 'L', 1);
$x			=$x1+$a1;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(5, 5, '$:', '', 0, 'L', 1);
$x			=$x1+$a2;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(28, 5, number_format($tasacambio, 2, ',', '.'), '', 0, 'R', 1);

// subtotal
$y			=$y+5;
$x			=$x1+$a0;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(32, 5, utf8_decode('Sub-Total'), '', 0, 'L', 1);
$x			=$x1+$a1;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(5, 5, '$:', '', 0, 'L', 1);
$x			=$x1+$a2;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(28, 5, number_format($totaldollar, 2, ',', '.'), '', 0, 'R', 1); 

// Iva
$y			=$y+5;
$x			=$x1+$a0;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(32, 5, utf8_decode('Iva'), '', 0, 'L', 1);
$x			=$x1+$a1;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(5, 5, '$:', '', 0, 'L', 1);
$x			=$x1+$a2;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(28, 5, number_format($ivadollar, 2, ',', '.'), '', 0, 'R', 1); 

// IVA Percepción
/* $y			=$y1+15;
$x			=$x1+$a0;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(32, 5, utf8_decode('IVA Percepción'), '', 0, 'L', 1);
$x			=$x1+$a1;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(5, 5, '$:', '', 0, 'L', 1);
$x			=$x1+$a2;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(28, 5, number_format($ivapvpdollar, 2, ',', '.'), '', 0, 'R', 1); */

// Total
/* $y			=$y+5;
$x			=$x1+$a0;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(32, 5, utf8_decode('Total a Pagar $'), '', 0, 'L', 1);
$x			=$x1+$a1;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(5, 5, '$:', '', 0, 'L', 1);
$x			=$x1+$a2;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(28, 5, number_format($totalapagardollar, 2, ',', '.'), '', 0, 'R', 1);  */

//Rectangulo
/* $fpdf	->Rect(20,$y1-1,59.5,16);
$fpdf	->Rect(20,$y1+15,59.5,5);   */

$fpdf->OutPut('ComprobanteEgreso_'.$nrofactura,'I');